Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore.undo
Class DeleteSlotCommand

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.undo.DeleteFrameCommand
          edu.stanford.smi.protege.model.framestore.undo.DeleteSlotCommand

All Implemented Interfaces:
  Command

    public class DeleteSlotCommand

extends DeleteFrameCommand

Constructor Summary
`DeleteSlotCommand(FrameStore delegate, Slot slot)`

Method Summary
`protected FrameStore` | `getDelegate()`
`String` | `getDescription()`
`Slot` | `getSlot()`
`protected static String` | `getText(Collection values)`
`protected static String` | `getText(Frame frame)`
`void` | `redoIt()`
`protected void` | `restoreFrame()`
`protected void` | `saveFrame()`
`protected void` | `setDescription(String description)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.model.framestore.undo.DeleteFrameCommand
`doIt, getFrame, undoIt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteSlotCommand

    public DeleteSlotCommand(FrameStore delegate,
                             Slot slot)

Method Detail

### getSlot

    public Slot getSlot()

### saveFrame

    protected void saveFrame()

  Overrides:
    `saveFrame` in class `DeleteFrameCommand`

### restoreFrame

    protected void restoreFrame()

  Overrides:
    `restoreFrame` in class `DeleteFrameCommand`

### redoIt

    public void redoIt()

### getDelegate

    protected FrameStore getDelegate()

### getDescription

    public final String getDescription()

  Specified by:
    `getDescription` in interface `Command`

### setDescription

    protected void setDescription(String description)

### getText

    protected static String getText(Frame frame)

### getText

    protected static String getText(Collection values)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.